Page MenuHomePhabricator

Removing the Makefile+Perl build system
ClosedPublic

Authored by jlpeyton on Aug 25 2015, 1:12 PM.

Details

Summary

This change deletes the Makefile+Perl build system and all files used by it which aren't used by the CMake build system. This included many Perl files, *.mk files, iomp* files.
This change also updates the README's and index.html to instruct the user to use the CMake build system. All mentioning of the Perl+Makefile based system are removed.

Diff Detail

Repository
rL LLVM

Event Timeline

jlpeyton updated this revision to Diff 33108.Aug 25 2015, 1:12 PM
jlpeyton retitled this revision from to Deprecating the Makefile+Perl build system.
jlpeyton updated this object.
jlpeyton added a reviewer: hfinkel.
jlpeyton set the repository for this revision to rL LLVM.
jlpeyton added a subscriber: openmp-commits.

The LLVM OpenMP landing page contains instructions on getting started that tell people to use the Makefile. Therefore that also needs to be updated to reflect this change.

jlpeyton updated this revision to Diff 33201.Aug 26 2015, 8:07 AM

Updated the diff to address the website instructions. I took a lot of the text from libcxx since it is a similar build process.

jlpeyton updated this revision to Diff 33468.Aug 28 2015, 2:27 PM
jlpeyton retitled this revision from Deprecating the Makefile+Perl build system to Removing the Makefile+Perl build system.
jlpeyton updated this object.

Changing this diff to remove all the Makefile+Perl files.

jlpeyton updated this revision to Diff 33598.Aug 31 2015, 10:52 AM

Updating the READMEs to include instructions for basic In-tree and out-of-tree documentation. They mimic the index.html file's instructions.

Hahnfeld requested changes to this revision.Sep 10 2015, 1:29 AM
Hahnfeld added a reviewer: Hahnfeld.
Hahnfeld added a subscriber: Hahnfeld.

Please see inline comments

runtime/README.txt
42

the build dir may not necessarily be inside the src dir. libc++ uses path/to/libcxx...

www/index.html
158

Do we really want to call it libomp?

I remember D9534 where it was expected to be called openmp. And there may be other components than just libomp in this repository at some point of time...

(Please also fix the other locations where it says libomp)

This revision now requires changes to proceed.Sep 10 2015, 1:29 AM
jlpeyton updated this revision to Diff 34449.Sep 10 2015, 8:53 AM
jlpeyton edited edge metadata.

the build dir may not necessarily be inside the src dir. libc++ uses path/to/libcxx...

I had the source and build directories mixed up in my head and didn't think this would work. I was wrong.
Changed.

Do we really want to call it libomp?
I remember D9534 where it was expected to be called openmp. And there may be other components than just libomp in this repository at some point of time...
(Please also fix the other locations where it says libomp)

Changed.

Hahnfeld accepted this revision.Sep 10 2015, 10:53 PM
Hahnfeld edited edge metadata.

LGTM

This revision is now accepted and ready to land.Sep 10 2015, 10:53 PM
This revision was automatically updated to reflect the committed changes.